ECHO OFF
CLS
IF "%1"=="C:" GOTO OK
IF "%1"=="D:" GOTO OK
IF "%1"=="c:" GOTO OK
IF "%1"=="d:" GOTO OK
GOTO NOPARM
:OK
ECHO DAUGHTER OF SERPENTS INSTALLATION PROGRAM
ECHO W A R N I N G !
ECHO THIS GAME RQUIRE 16 MB OF FREE HARD DISK SPACE!
PAUSE
:ASK1
ECHO PLEASE INSERT DAUGHTER OF SERPENTS DISK 1
PAUSE
IF EXIST DANTIS.ARJ GOTO INST1
GOTO ASK1
:INST1
ECHO ON
ARJ X -y DANTIS.ARJ %1\
ECHO OFF
CLS
:ASK2
ECHO PLEASE INSERT DAUGTHER OF SERPENTS DISK 2
PAUSE
IF EXIST DANTIS.A01 GOTO INST2
GOTO ASK2
:INST2
ECHO ON
ARJ X -y DANTIS.A01 %1\
ECHO OFF
CLS
:ASK3
ECHO PLEASE INSERT DAUGHTER OF SERPENTS DISK 3
PAUSE
IF EXIST DANTIS.A02 GOTO INST3
GOTO ASK3
:INST3
ECHO ON
ARJ X -y DANTIS.A02 %1\
ECHO OFF
CLS
:ASK4
ECHO PLEASE INSERT DAUGHTER OF SERPENTS DISK 4
PAUSE
IF EXIST DANTIS.A03 GOTO INST4
GOTO ASK4
:INST4
ECHO ON
ARJ X -y DANTIS.A03 %1\
ECHO OFF
CLS
:ASK5
ECHO PLEASE INSERT DAUGHTER OF SERPENTS DISK 5
PAUSE
IF EXIST DANTIS.A04 GOTO INST5
GOTO ASK5
:INST5
ECHO ON
ARJ X -y DANTIS.A04 %1\
ECHO OFF
CLS
ECHO NOW YOUR GAME IS INSTALLED
ECHO INSIDE THE DIRECTOY DAUGHTER ON DRIVE %1 TYPE 'RUN'
ECHO IF YOU WANT TO PLAY WITH MOUSE MAKE SURE YOUR MOUSE DRIVER IS LOADED...
GOTO END
:NOPARM
ECHO YOU NEED TO SPECIFY A DRIVE LETTER TO INSTALL TO C: OR D:
GOTO END
:OUTOFSPACE
ECHO YOU DRIVE NEED AT LEAST 16MB FREE SPACE!
GOTO END
:END